DhSigStatic (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.crmf

## Class DhSigStatic

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.crmf.DhSigStatic

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class DhSigStatic
      extends ASN1Object

  From RFC 2875 for Diffie-Hellman POP.

           DhSigStatic ::= SEQUENCE {
               IssuerAndSerial IssuerAndSerialNumber OPTIONAL,
               hashValue       MessageDigest
           }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DhSigStatic(byte[] hashValue)`
    `DhSigStatic(IssuerAndSerialNumber issuerAndSerial, byte[] hashValue)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getHashValue()`
    `static DhSigStatic` | `getInstance(java.lang.Object o)`
    `IssuerAndSerialNumber` | `getIssuerAndSerial()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DhSigStatic

          public DhSigStatic(byte[] hashValue)

    - #### DhSigStatic

          public DhSigStatic(IssuerAndSerialNumber issuerAndSerial,
                             byte[] hashValue)

  - ### Method Detail

    - #### getInstance

          public static DhSigStatic getInstance(java.lang.Object o)

    - #### getIssuerAndSerial

          public IssuerAndSerialNumber getIssuerAndSerial()

    - #### getHashValue

          public byte[] getHashValue()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.